GRAPH1D_SET_ACTIVE(3)

EXPERIMENTAL_FUNC
graph1d_set_active - Set active state for a viewable graph controlled refresh.

SYNOPSIS
#include <karma_graph1d.h>

flag graph1d_set_active

(KViewableGraph vgraph, flag active,flag force_refresh, flag refresh_if_changed, flag exclusive, uaddr key)

DESCRIPTION
This routine will make a viewable graph active or inactive.

vgraph
    The viewable graph.

active
    If TRUE, the viewable graph is made active, else it is made inactive.

force_refresh
    If TRUE, the canvas is always refreshed.

refresh_if_changed
    If TRUE, the canvas is refreshed if the viewable graph active state changed.

exclusive
    If TRUE and <<active>> is TRUE, make this viewable graph the only active one for this canvas. Other viewable graphs for this canvas will be made inactive.

key The key to use for inactivation of other viewable graphs. If this is 0 then all other viewable graphs will be made inactive.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/